# Variables

## Overview

This node contains all existing form variables.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                         | Summary                                                                                        |
| ----------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| [Open in Form Editor](#open-in-form-editor)     | Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md)             |
| [Open Form Hierarchy](#open-form-hierarchy)     | Opens the [Form Hierarchy](/reference/servoy-developer/views/form-hierarchy.md)                |
| [Open in Debug Client](#open-in-debug-client)   | Opens Form in Titanium Client                                                                  |
| [Open in Script Editor](#open-in-script-editor) | Opens the form [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md) |
| [Create variable](#create-variable)             | Creates a new form variable                                                                    |
| [Toggle Form Commands](#toggle-form-commands)   | Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md)             |
| [Add to working set](#add-to-working-set)       | Adds form to a Working Set                                                                     |

## Commands Details

The details for each command available on this item via right-click context menu:

### Open in Form Editor

Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md). A form has two parts, user interface file and scripting file. In Form Editor you can change the design of the form.

### Open Form Hierarchy

Opens the [Form Hierarchy](/reference/servoy-developer/views/form-hierarchy.md). There you see the hierarchy tree (according to parent-child relation).

### Open in Debug Client

Open form in Titanium Client. The client opened from Servoy Developer is a Debug Client (as you can debug through it). If you have an opened Client, you can open the selected form in it (as main form).

### Open in Script Editor

Opens the form [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md). Each form has a design file and a scripting file (javascript code). Is used to encapsulate code specific to that form, that should not be reused from another form (except through inheritance).

### Create variable

Opens the [create new variable editor](/reference/servoy-developer/object-editors/variable-editor.md), then it switches to [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md) of the same form scripting file, with the particular variable highlighted.

### Toggle Form Commands

Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md). A form has two parts, user interface file and scripting file. In Form Editor you can change the design of the form.

### Add to working set

Add the form to a working set (like a logical folder for that form).

## Contextual List

Here are the item details that appear in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) and each command available via right-click:

* variable (all variables names existing in the scope):
  * [Move Code](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#move-code)
  * [Move Sample](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#move-sample)
  * [Open in Script Editor](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#open-in-script-editor)
  * [Edit variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#edit-variable)
  * [Search for References](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#search-for-references)
  * [Create variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#create-variable)
  * [Delete variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#delete-variable)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms/form/variables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
